﻿
using System;
using Wisej.Web;

namespace GoogleMapsPolylineSample
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void googleMap1_Appear(object sender, EventArgs e)
		{
			// get polyline from https://developers.google.com/maps/documentation/directions/start
			var encodedPolyline = @"cxxwF|ynbMinAiy@vU{t@fSvM|Ju[";

			var polylineCoordinates = GooglePolylineConverter.Decode(encodedPolyline).ToJSON();

			// inserts the new Polyline into the map
			// note: this.map represents the google.maps.Map object.
			this.googleMap1.Eval(String.Format(@"new google.maps.Polyline({{
				  path: {0},
				  geodesic: true,
				  strokeColor: '#FF0000',
				  strokeOpacity: 1.0,
				  strokeWeight: 2
				}}).setMap(this.map);", polylineCoordinates));
		}
	}
}
